diff --git a/src/vbox/vbox_tmpl.c b/src/vbox/vbox_tmpl.c
index 3208f03..0e829e3 100644
--- a/src/vbox/vbox_tmpl.c
+++ b/src/vbox/vbox_tmpl.c
@@ -4858,7 +6066,7 @@ static char *vboxNetworkDumpXML(virNetworkPtr network, int flags ATTRIBUTE_UNUSE
                             data->pFuncs->pfnUtf16Free(ipAddressUtf16);
                         }
 
-
+#if VBOX_API_VERSION == 2002
                         DEBUG("Network UUID: "
                               "{%08x-%04x-%04x-%02x%02x-%02x%02x%02x%02x%02x%02x}",
                               (unsigned)vboxnet0IID->m0,    (unsigned)vboxnet0IID->m1,
@@ -4869,6 +6077,11 @@ static char *vboxNetworkDumpXML(virNetworkPtr network, int flags ATTRIBUTE_UNUSE
                               (unsigned)vboxnet0IID->m3[7]);
 
                         data->pFuncs->pfnComUnallocMem(vboxnet0IID);
+#else
+                        DEBUG("Network UUID: %s", vboxnet0IIDUtf8);
+                        data->pFuncs->pfnUtf8Free(vboxnet0IIDUtf8);
+                        data->pFuncs->pfnUtf16Free(vboxnet0IIDUtf16);
+#endif
                         data->pFuncs->pfnUtf16Free(networkNameUtf16);
                     } else {
                         vboxError(network->conn, VIR_ERR_SYSTEM_ERROR,
@@ -4957,8 +6170,13 @@ virDriver NAME(Driver) = {
     NULL, /* domainMemoryPeek */
     nodeGetCellsFreeMemory, /* nodeGetCellsFreeMemory */
     nodeGetFreeMemory,  /* getFreeMemory */
+#if VBOX_API_VERSION == 2002
     NULL, /* domainEventRegister */
     NULL, /* domainEventDeregister */
+#else
+    vboxDomainEventRegister, /* domainEventRegister */
+    vboxDomainEventDeregister, /* domainEventDeregister */
+#endif
     NULL, /* domainMigratePrepare2 */
     NULL, /* domainMigrateFinish2 */
     NULL, /* nodeDeviceDettach */
